---
title: Getting started on MDN
slug: MDN/Contribute/Getting_started
tags:
  - Documentation
  - Getting Started
  - Guide
  - MDN
  - MDN Project
  - New Contributors
---
<div>{{MDNSidebar}}</div>

<p id="What_is_MDN.3F"><span class="seoSummary">We are an open community of developers building resources for a better Web, regardless of brand, browser, or platform. Anyone can contribute and each person who does makes us stronger. Together we can continue to drive innovation on the Web to serve the greater good. It starts here, with you.</span></p>

<p>Every part of MDN (docs, demos, and the site itself) are created by an open community of developers. Please, join us!</p>

<h2 id="4_simple_steps_to_MDN">4 simple steps to MDN</h2>

<p>MDN is an open source resource where <strong>anyone</strong> can add and edit contents. You don't need to be a programmer or know a lot about technologies. There are plenty of things that need to be done, from the simple (proofreading and correcting typos) to the complex (writing API documentation).</p>

<p>Contributing is easy and safe. Even if you make a mistake, it's easily fixed. Even if you don't know exactly how things should look, or your grammar isn't all that good, don't worry about it! We have a team of people whose job it is to make sure that MDN's contents are as good as possible. Someone will be along to make sure your work is tidy and well-written. Share what you know and follow your strengths.</p>

<h3 id="Step_1_Create_an_account_on_MDN">Step 1: Create an account on MDN</h3>

<p>To begin your contributions to MDN, you need to have an account on MDN. We presently allow authentication via <a href="https://www.google.com/account/about/">Google accounts</a> and <a href="https://github.com/join">GitHub accounts</a> — if you have one of these, you can use it to create an MDN account.</p>

<p>To create an MDN account:</p>

<ol>
 <li>If you are not signed in to MDN, you'll see a <em>Sign in</em> link at the top-right of any page. Select this link.</li>
 <li>You'll now be given two options, <em>Sign in the GitHub</em> and <em>Sign in with Google</em>. Choose the one that you want to authenticate with on MDN.</li>
 <li>You'll now be prompted to sign in to your chosen account / authenticate with it to continue on to MDN. Follow the on-screen instructions.</li>
 <li>When you come back to MDN, you'll be prompted to create a username and specify a few other credentials, and after that you'll be logged into MDN.</li>
</ol>

<p>In future if you want to log into MDN again you can just use the same authentication mechanism you used previously.</p>

<h3 id="Step_2_Pick_a_task_to_complete">Step 2: Pick a task to complete</h3>

<p>Now that you are logged in, read the descriptions of the different task types available on the <a href="/en-US/docs/MDN/Contribute">main Contribute page</a>, and decide which one most appeals to you. You can pick any task you like and begin your contribution.</p>

<h3 id="Step_3_Do_the_task">Step 3: Do the task</h3>

<p>Once you've decided what kind of task you want to do, find a specific page, code example, etc. to work on, and just do it!</p>

<h3 id="Step_4_Ask_for_help">Step 4: Ask for help</h3>

<p>If you are not sure what to do at any point, then you are more than welcome to ask for help. There are a few different help options:</p>

<ul>
 <li>If you want to talk to us synchronously and ask questions about MDN itself, join the discussion on the <a href="https://chat.mozilla.org/#/room/#mdn:mozilla.org">MDN Web Docs chat room</a> on <a href="https://wiki.mozilla.org/Matrix">Matrix</a>.</li>
 <li>You can also drop us an email at <a href="mailto:mdn-admins@mozilla.org">mdn-admins@mozilla.org</a>.</li>
 <li>If you are learning web development and are stuck on a coding problem, we have <a href="https://discourse.mozilla.org/c/mdn/learn/250">active forums</a> where you can ask questions and get help.</li>
</ul>

<p>Don't worry about doing it perfectly; other MDN contributors are here to help fix errors that slip through.</p>
